Comex just gave us all a heads up that the initial launch of JailbreakMe 3.0 will only support the latest version of iOS, 4.3.3. If your iDevice is currently jailbroken or hasn’t been updated past 4.3.1 or 4.3.2, you should go ahead and do that now.

It’s expected that Comex will unveil JailbreakMe 3.0 sometime today, and he has dropped initial support for older iOS firmware versions due to time constraints.

He did say that he’ll add support for firmware all the way down to 4.2.1, but 4.3.3 will be it for the launch. If you check JailbreakMe.com, the “We’ll be back soon” note displays.

Now would also be a good time to save your SHSH blobs in case you need to downgrade iOS at a later time.

Comex is obviously working very fast to make sure that JailbreakMe 3.0’s launch goes smoothly, and we thank him for all his hard work.

Any more questions?